@import 'conf';

html {
    font-size: 0.625em;

    body {
        font-family: 'Roboto', sans-serif;
        font-size: 1.6rem;
        line-height: 1.5;
        color: rgba(var(--primary-color-rgb), 0.88);
       
        h1,
        h2 {
            margin: 0.5em 0;
            color: var(--primary-color);
            text-align: center;
        }
        
        h2 {
            font-weight: normal !important;
        }
        
        h1{
            font-weight: bold;
            margin-top: 3rem;
        }

        .add-user-container{
            text-align: center;
            
            .button {
                color: white;
                background-color: black;
                border-radius: 20px;
                padding: 1rem;
                margin-top: 2rem;
                cursor: pointer;
            }
        }

        .users_container{
            //display: flex;
            //flex-wrap: wrap;
            //justify-content: flex-start;
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            margin-top: 4rem;
            grid-column-gap: 30px;
            grid-row-gap: 10px;
            padding-bottom: 2rem;
        
            .users_card {
                border-radius: 8px;
                box-shadow: 0px 8px 56px rgba(0, 0, 0, 0.08);
                height: 600px; 
                margin: 2.5rem;
            }

            .add-user-button{
                display: flex;
                justify-content: center;
                align-items: center;
                border: 0.2rem dashed rgba($color: #000000, $alpha: 0.25);
                cursor: pointer;
                background-color: white;
            }


            .image-container {
                position: relative;
                z-index: -1;
                
                &::after{
                    display: block;
                    position: absolute;
                    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0, #fff 100%);
                    margin-top: -150px;
                    height: 150px;
                    width: 100%;
                    content: '';                    
                    //@at-ro: 1;
                }
            
                img {
                    filter : grayscale(100%);
                    width: 100%;
                    height: auto;
                    border-radius: 20px;
                }
            }

            .card-body {
                padding: 1rem;
                z-index: 50;
                margin-top: -30%;
                   
                
                h3 {
                    font-size: 20px;
                }

                p {
                    display: flex;
                    align-items: center;
                    gap: 0.5rem;
                    font-size: 14px;
                    margin: 0;
                }

                .body-content {
                    white-space: normal;
                    display: flex;
                    flex-direction: column;
                    gap: 0.75rem;                
                }
            }

            .users_card {
                border-radius: 8px;
                box-shadow: 0px 8px 56px rgba(0, 0, 0, 0.08);
                height: 400px;
            }
        }
    }
    
}





